Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 04/13/2024 in all areas

  1. (sssetfirst nil (ssadd (car (entsel "\nPick FIT spline..."))))
    1 point
  2. You should be able to work this out as you have numerous posts now. do this (setq ss (ssget (list (cons 0 "TEXT")(cons 410 (getvar 'ctab))))) So just make a list (text X Y Z) just get each item in the ss look at DXF 1 and DXF 10. Or VL textstring and insertionpoint Then use (setq lst (vl-sort lst '(lambda ( a b ) (< (car a) (car b))))) Then just write a csv file.
    1 point
  3. Here's another way to do it but the end result is MTEXT and you have to pick the text. (defun c:foo (/ e el p1 p2) (if (and (setq e (car (nentsel "\nPick dimension text: "))) (setq p1 (cdr (assoc 10 (setq el (entget e))))) (setq p2 (getpoint p1 "\nSpecify second point: ")) ) (entmakex (append (vl-remove-if '(lambda (x) (= 330 (car x))) el) (list (cons 10 p2)))) ) (princ) )
    1 point
×
×
  • Create New...